Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(7)

Issue 2789153002: Update BaseBindRewriters to convert base::Bind to base::BindOnce (Closed)

Created:
2 years, 5 months ago by tzik
Modified:
2 years, 5 months ago
Reviewers:
dcheng
CC:
chromium-reviews
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Update BaseBindRewriters to convert base::Bind to base::BindOnce The new base_bind_rewriter replaces base::Bind with base::BindOnce where the resulting Callback is converted to OnceCallback immediately. E.g.: PostTask(FROM_HERE, base::Bind([]{})); OnceCallback<void()> cb = base::Bind([]{}); will be replaced to PostTask(FROM_HERE, base::BindOnce([]{})); OnceCallback<void()> cb = base::BindOnce([]{}); Review-Url: https://codereview.chromium.org/2789153002 Cr-Commit-Position: refs/heads/master@{#464312} Committed: https://chromium.googlesource.com/chromium/src/+/51e87859e8337f4cf3f9aa995884de4b786e7279

Patch Set 1 #

Total comments: 4

Patch Set 2 : factor out callback.h. -IgnoreImplicit #

Patch Set 3 : s/foo/Foo/g #

Patch Set 4 : rename test files #

Unified diffs Side-by-side diffs Delta from patch set Stats (+141 lines, -100 lines) Patch
M tools/clang/base_bind_rewriters/BaseBindRewriters.cpp View 1 2 chunks +35 lines, -28 lines 0 comments Download
A tools/clang/base_bind_rewriters/tests/callback.h View 1 1 chunk +68 lines, -0 lines 0 comments Download
A tools/clang/base_bind_rewriters/tests/callback-temporary-converted-to-once-callback-expected.cc View 1 2 3 1 chunk +19 lines, -0 lines 0 comments Download
A tools/clang/base_bind_rewriters/tests/callback-temporary-converted-to-once-callback-original.cc View 1 2 3 1 chunk +19 lines, -0 lines 0 comments Download
M tools/clang/base_bind_rewriters/tests/test-expected.cc View 1 2 3 1 chunk +0 lines, -35 lines 0 comments Download
M tools/clang/base_bind_rewriters/tests/test-original.cc View 1 2 3 1 chunk +0 lines, -37 lines 0 comments Download

Messages

Total messages: 14 (7 generated)
tzik
PTAL
2 years, 5 months ago (2017-04-03 14:02:53 UTC) #3
dcheng
https://codereview.chromium.org/2789153002/diff/1/tools/clang/base_bind_rewriters/BaseBindRewriters.cpp File tools/clang/base_bind_rewriters/BaseBindRewriters.cpp (right): https://codereview.chromium.org/2789153002/diff/1/tools/clang/base_bind_rewriters/BaseBindRewriters.cpp#newcode73 tools/clang/base_bind_rewriters/BaseBindRewriters.cpp:73: target->getCallee()->IgnoreImplicit()); Out of curiosity, why do we have to ...
2 years, 5 months ago (2017-04-05 16:57:37 UTC) #4
tzik
https://codereview.chromium.org/2789153002/diff/1/tools/clang/base_bind_rewriters/BaseBindRewriters.cpp File tools/clang/base_bind_rewriters/BaseBindRewriters.cpp (right): https://codereview.chromium.org/2789153002/diff/1/tools/clang/base_bind_rewriters/BaseBindRewriters.cpp#newcode73 tools/clang/base_bind_rewriters/BaseBindRewriters.cpp:73: target->getCallee()->IgnoreImplicit()); On 2017/04/05 16:57:37, dcheng wrote: > Out of ...
2 years, 5 months ago (2017-04-11 07:35:13 UTC) #5
dcheng
LGTM My only nit is to rename the test file to something like: callback-temporary-converted-to-once-callback or ...
2 years, 5 months ago (2017-04-12 07:38:42 UTC) #6
tzik
On 2017/04/12 07:38:42, dcheng wrote: > LGTM > > My only nit is to rename ...
2 years, 5 months ago (2017-04-13 04:44:54 UTC) #8
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2789153002/60001
2 years, 5 months ago (2017-04-13 04:47:24 UTC) #11
commit-bot: I haz the power
2 years, 5 months ago (2017-04-13 05:37:59 UTC) #14
Message was sent while issue was closed.
Committed patchset #4 (id:60001) as
https://chromium.googlesource.com/chromium/src/+/51e87859e8337f4cf3f9aa995884...

Powered by Google App Engine
This is Rietveld 408576698